Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice
Class Continuation.ExternalContinuation

    java.lang.Object
      rice.Continuation.ExternalContinuation

All Implemented Interfaces:
  Continuation

Enclosing class:
  Continuation

public static class Continuation.ExternalContinuation
extends java.lang.Object
implements Continuation

This class provides a continuation which is designed to be used from an external thread. Applications should construct this continuation pass it in to the appropriate method, and then call sleep(). Once the thread is woken up, the user should check exceptionThrown() to determine if an error was caused, and then call getException() or getResult() as apprpritate.

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh

Nested Class Summary

Nested classes inherited from class rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`protected boolean` | `done` DESCRIBE THE FIELD
`protected java.lang.Exception` | `exception` DESCRIBE THE FIELD
`protected java.lang.Object` | `result` DESCRIBE THE FIELD

Constructor Summary
`Continuation.ExternalContinuation()`

Method Summary
`boolean` | `exceptionThrown()` DESCRIBE THE METHOD
`java.lang.Exception` | `getException()` Gets the Exception attribute of the ExternalContinuation object
`java.lang.Object` | `getResult()` Gets the Result attribute of the ExternalContinuation object
`void` | `receiveException(java.lang.Exception e)` DESCRIBE THE METHOD
`void` | `receiveResult(java.lang.Object o)` DESCRIBE THE METHOD
`void` | `sleep()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exception

    protected java.lang.Exception exception

  DESCRIBE THE FIELD

### result

    protected java.lang.Object result

  DESCRIBE THE FIELD

### done

    protected boolean done

  DESCRIBE THE FIELD

Constructor Detail

### Continuation.ExternalContinuation

    public Continuation.ExternalContinuation()

Method Detail

### getResult

    public java.lang.Object getResult()

  Gets the Result attribute of the ExternalContinuation object

  Returns:
    The Result value

### getException

    public java.lang.Exception getException()

  Gets the Exception attribute of the ExternalContinuation object

  Returns:
    The Exception value

### receiveResult

    public void receiveResult(java.lang.Object o)

  DESCRIBE THE METHOD

  Specified by:
    `receiveResult` in interface `Continuation`
  Parameters:
    `o` - DESCRIBE THE PARAMETER

### receiveException

    public void receiveException(java.lang.Exception e)

  DESCRIBE THE METHOD

  Specified by:
    `receiveException` in interface `Continuation`
  Parameters:
    `e` - DESCRIBE THE PARAMETER

### sleep

    public void sleep()

  DESCRIBE THE METHOD

### exceptionThrown

    public boolean exceptionThrown()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.